<?php

namespace Tests\App\Models;

use Tests\Support\ModelCrudTestCase;
use App\Models\FlagModel;

class FlagModelTest extends ModelCrudTestCase
{

    public function testCanInsertAndRetrieve()
    {
        $this->assertModelCanInsertAndRetrieve(FlagModel::class);
    }

    public function testCanUpdate()
    {
        $this->assertModelCanUpdate(FlagModel::class);
    }

    public function testCanDelete()
    {
        $this->assertModelCanDelete(FlagModel::class);
    }
}
